Skip to main content
`Ctrl`+`K`

# TSRKGetType

Get the type of `TSRK` scheme

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSRKGetType(TS ts, TSRKType *rktype)

Not Collective

## Input Parameter

- ts - timestepping context

## Output Parameter

- rktype - type of `TSRK`-scheme

## See Also

TS: Scalable ODE and DAE Solvers, `TSRKSetType()`

## Level

intermediate

## Location

src/ts/impls/explicit/rk/rk.c

## Implementations

TSRKGetType_RK() in src/ts/impls/explicit/rk/rk.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages